var m = Object.defineProperty;
var g = (e, s, a) => s in e ? m(e, s, { enumerable: !0, configurable: !0, writable: !0, value: a }) : e[s] = a;
var i = (e, s, a) => (g(e, typeof s != "symbol" ? s + "" : s, a), a);
import { ModelUtil as b, IndexViewModel as f } from "@ibiz-template/model";
import { PluginStaticResource as r } from "@ibiz-template/runtime";
import { defineComponent as v, getCurrentInstance as y, ref as o, computed as C, onMounted as S, h as t } from "vue";
import { useNamespace as w } from "@ibiz-template/vue-util";
const M = new r(import.meta.url), x = {
  mateUrl: import.meta.url,
  install(e) {
    b.getModelService().then((s) => {
      s.app.userParams.autoWidth === "true" && document.getElementsByClassName("app")[0].classList.add("auto-width");
    }), M.loadStyle(["/style.css"]), ibiz.config.enableDataInfoBar = !1, ibiz.config.gridEditShowMode = "all";
  }
};
const L = new r(import.meta.url);
class P {
  constructor() {
    i(this, "component", "IndexView");
  }
}
function l(e, s) {
  return t("div", {
    class: e.e("logo")
  }, [s.appIconPath ? t("img", {
    class: e.e("logo-img"),
    attrs: {
      src: s.appIconPath
    }
  }) : null, t("div", {
    class: e.e("logo-caption")
  }, [s.caption])]);
}
const I = v({
  name: "UserAppLayout",
  props: {
    model: {
      type: f,
      required: !0
    },
    // 视图是否完成加载
    isComplete: {
      type: Boolean,
      default: !1
    },
    // 是否显示分页导航
    isShowTabPageExp: {
      type: Boolean,
      default: !1
    }
  },
  setup(e, {
    emit: s
  }) {
    const a = w("layout"), {
      proxy: c
    } = y(), n = o(!1), u = () => {
      n.value = !n.value, s("onCollapseChange", n.value);
    }, h = C(() => e.model.source.blankMode === !0), p = o("廉洁风险点提示"), d = o(`风险点名称：<br/>
    1、不合理设定绩效考核指标（SY-ZLGL-C005）<br/>
    2、绩效评分有失公允（SY-ZLGL-C006）<br/>
    3、违规调整绩效考核结果（SY-ZLGL-C007）<br/>
    风险描述：<br/>
    1、在制定战略绩效考核方案时，受其他部门请托，不合理设定绩效考核指标，为本人或相关方谋求不正当利益。<br/>
    2、在绩效考核过程中，受其他部门请托，绩效考核打分时有失公平公正，为本人或相关方谋求不正当利益。<br/>
    3、受其他部门请托，违规调整绩效考核小组、公司领导和公司总经理办公会决定的绩效考核结果，为本人或相关方谋求不正当利益。<br/>
    违规行为处罚措施：<br/>
    制定部门绩效考核计划时、绩效考核过程中、反馈绩效考核结果时，发现违规行为及时纠正，对于情节轻微的，未造成损害后果和不良影响的，给予提醒谈话、批评教育或采取岗位调整等组织处理措施。对于情节严重的，根据《中国共产党纪律处分条例》、《中国移动通信集团有限公司员工违纪违规处分条例》（中移人〔2018〕196号）和《中共中国移动通信集团有限公司党组问责工作管理办法》（中移党组〔2021〕23号）等相关规定进行处罚。`);
    return S(() => {
      c.$Modal.warning({
        title: p.value,
        content: d.value,
        okText: "已阅知",
        width: 1e3
      });
    }), {
      ns: a,
      collapseChange: n,
      isBlank: h,
      collapseMenus: u
    };
  },
  render() {
    return this.isComplete ? t("i-layout", {
      class: [this.ns.b(), this.isBlank ? this.ns.m("blank") : "", this.ns.is("collapse", this.collapseChange), this.ns.is("tab", this.isShowTabPageExp)]
    }, [t("i-sider", {
      attrs: {
        "hide-trigger": !0,
        value: this.collapseChange
      },
      class: [this.ns.b("nav"), this.ns.is("collapse", this.collapseChange)]
    }, [l(this.ns, this.model), this.$slots.menu]), t("i-layout", {
      class: [this.ns.b("content")]
    }, [t("i-header", {
      class: this.ns.b("header")
    }, [t("div", {
      class: this.ns.be("header", "left")
    }, [l(this.ns, this.model), t("div", {
      class: this.ns.be("header", "collapse-icon")
    }, [this.collapseChange ? t("ion-icon", {
      attrs: {
        src: "./assets/img/menu-unfold.svg"
      },
      on: {
        click: () => this.collapseMenus()
      }
    }) : t("ion-icon", {
      attrs: {
        src: "./assets/img/menu-fold.svg"
      },
      on: {
        click: () => this.collapseMenus()
      }
    })]), this.model.source.mainMenuAlign === "TOP" ? t("i-menu", {
      class: this.ns.be("header", "menu"),
      attrs: {
        mode: "horizontal",
        "active-name": "1"
      }
    }) : null]), t("div", {
      class: this.ns.be("header", "right")
    }, [t("app-user")])]), t("i-content", {
      class: this.ns.be("content", "main")
    }, [this.$slots.tabPageExp, this.$slots.default])])]) : null;
  }
});
const T = {
  mateUrl: import.meta.url,
  install(e) {
    L.loadStyle(["/style.css"]), e.use(x), ibiz.register.view.register(
      "VIEW_CUSTOM_SyZhbgGsWeb",
      new P()
    ), e.component("AppLayout", I);
  }
};
export {
  T as default
};
